<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_virtuemart_languages
 * @author Max Milbers
 * @copyright	Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved. 2015 - 2016 iStraxx UG (haftungsbeschraenkt)
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JLoader::register('MenusHelper', JPATH_ADMINISTRATOR . '/components/com_menus/helpers/menus.php');


abstract class modVmLanguagesHelper
{
	public static function getList(&$params)
	{
		$user		= JFactory::getUser();
		$lang		= JFactory::getLanguage();
		$languages	= JLanguageHelper::getLanguages();
		$app		= JFactory::getApplication();
		$menu		= $app->getMenu();

		$homes = array();
		if(JVM_VERSION>2){

			// Get menu home items

			$homes['*'] = $menu->getDefault('*');

			foreach ($languages as $item) {
				$default = $menu->getDefault($item->lang_code);
				if ($default && $default->language == $item->lang_code) {
					$homes[$item->lang_code] = $default;
				}
			}

			// Load associations
			$assoc = JLanguageAssociations::isEnabled();
		} else {
			foreach($menu->getMenu() as $item) {
				if ($item->home) {
					$homes[$item->language] = $item;
				}
			}

			// Load associations
			$assoc = isset($app->menu_associations) ? $app->menu_associations : 0;
		}



		$cassociations = array();
		if ($assoc)
		{
			$active = $menu->getActive();

			if ($active)
			{
				$associations = MenusHelper::getAssociations($active->id);
			}

			if(JVM_VERSION>2) {
				// Load component associations
				$class = str_replace( 'com_', '', $app->input->get( 'option' ) ).'HelperAssociation';
				JLoader::register( $class, JPATH_COMPONENT_SITE.'/helpers/association.php' );

				if(class_exists( $class ) && is_callable( array($class, 'getAssociations') )) {
					$cassociations = call_user_func( array($class, 'getAssociations') );
				}
			}
		}


		$cUrl = vmUri::getCurrentUrlBy('request',false,true,array('language','lang','Itemid'));
		$itId = vRequest::getInt('Itemid',false);
		//vmdebug('my $cUrl',$cUrl,$cassociations,$associations);
		$levels		= $user->getAuthorisedViewLevels();

		$currentLang = VmLanguage::$currLangTag;
		// Filter allowed languages
		foreach ($languages as $i => &$language) {

			//vmdebug('JLanguageMultilang::isEnabled',$language->lang_code );
			// Do not display language without frontend UI
			if (!JLanguage::exists($language->lang_code)) {
				unset($languages[$i]);
			}
			// Do not display language without specific home menu
			elseif (!isset($homes[$language->lang_code])) {
				unset($languages[$i]);
			}
			// Do not display language without authorized access level
			elseif (isset($language->access) && $language->access && !in_array($language->access, $levels)) {
				unset($languages[$i]);
			}
			else {
				$url= '';
				$language->active = ($language->lang_code == $lang->getTag());

					if (JLanguageMultilang::isEnabled()) {

						$itemid = '';
						if (isset($cassociations[$language->lang_code])) {
							$language->link = JRoute::_($cassociations[$language->lang_code] . '&lang=' . $language->sef);
						} else if(isset($associations[$language->lang_code]) && $menu->getItem($associations[$language->lang_code])) {
							$itemid = $associations[$language->lang_code];
						} else if(!empty($itId)) {
							$itemid = $itId;
						} else {
							$itemid = isset($homes[$language->lang_code]) ? $homes[$language->lang_code]->id : $homes['*']->id;
						}

						if(empty($language->link)){
							$url = $cUrl.'&lang='.$language->sef.'&Itemid='.$itemid;
							//if ($app->getCfg('sef')=='1') {
							vmlanguage::setLanguageByTag($language->lang_code, false);
							vmLanguage::loadJLang('com_virtuemart.sef',true);
							$language->link = JRoute::_($url);
							//vmdebug('JLanguageMultilang::isEnabled',$language->lang_code, $language->link,$url );
							/*} else {
								$language->link = $url;
							}*/
						}

					}
					else {
						$language->link = JRoute::_('&Itemid=' . $homes['*']->id);
						//vmdebug('JLanguageMultilang::isEnabled HOME',$language->lang_code, $language->link,$url );
					}

			}

		}

		vmlanguage::setLanguageByTag($currentLang);

		return $languages;
	}
}
